API Reference
Update a connector
Select the checkout surface and/or make this connector primary.
Authorization
apiKey AuthorizationBearer <token>
A secret API key, e.g. Authorization: Bearer sk_test_....
In: header
Path Parameters
cid*string
Connector id (mco_...).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/merchants/me/connectors/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "mco_01ARZ3NDEKTSV4RRFFQ69G5FAV", "connector": "peach", "environment": "string", "is_default": true, "is_active": true, "allowed_surfaces": [ "string" ], "default_surface": "string", "selected_surface": "string", "surface": "string", "can_be_primary": true, "external_account_id": "string"}{ "error": { "code": "invalid_body", "message": "invalid request body" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "not_found", "message": "not found" }}